Atualizar tags
curl --request PATCH \
--url https://apiv3.usecorvex.com.br/api/v1/orders/{orderId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Store-Id: <x-store-id>' \
--data '
{
"tagIds": [
"entrega.em_transporte",
"faturamento.nf_emitida"
]
}
'const options = {
method: 'PATCH',
headers: {
'X-Store-Id': '<x-store-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tagIds: ['entrega.em_transporte', 'faturamento.nf_emitida']})
};
fetch('https://apiv3.usecorvex.com.br/api/v1/orders/{orderId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/orders/{orderId}/tags"
payload = { "tagIds": ["entrega.em_transporte", "faturamento.nf_emitida"] }
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"orderId": "66666666-6666-4666-8666-666666666666",
"previousTagIds": [],
"tags": {
"ids": [
"faturamento.nf_emitida",
"entrega.em_transporte"
],
"invoicing": [
"faturamento.nf_emitida"
],
"delivery": [
"entrega.em_transporte"
],
"custom": []
},
"catalog": [
{
"id": "faturamento.nf_emitida",
"category": "invoicing",
"label": "NF emitida",
"color": null,
"allowConcurrent": false
},
{
"id": "entrega.em_transporte",
"category": "delivery",
"label": "Em transporte",
"color": null,
"allowConcurrent": false
},
{
"id": "custom.vip",
"category": "custom",
"label": "VIP",
"color": "violet",
"allowConcurrent": true
}
]
}
}{
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Recurso não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Pedidos
Atualizar tags
Substitui o conjunto de tags do pedido. Envie a lista completa. IDs oficiais: faturamento.* e entrega.*. Customizadas: custom.* criadas no POST.
PATCH
/
api
/
v1
/
orders
/
{orderId}
/
tags
Atualizar tags
curl --request PATCH \
--url https://apiv3.usecorvex.com.br/api/v1/orders/{orderId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Store-Id: <x-store-id>' \
--data '
{
"tagIds": [
"entrega.em_transporte",
"faturamento.nf_emitida"
]
}
'const options = {
method: 'PATCH',
headers: {
'X-Store-Id': '<x-store-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tagIds: ['entrega.em_transporte', 'faturamento.nf_emitida']})
};
fetch('https://apiv3.usecorvex.com.br/api/v1/orders/{orderId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/orders/{orderId}/tags"
payload = { "tagIds": ["entrega.em_transporte", "faturamento.nf_emitida"] }
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"orderId": "66666666-6666-4666-8666-666666666666",
"previousTagIds": [],
"tags": {
"ids": [
"faturamento.nf_emitida",
"entrega.em_transporte"
],
"invoicing": [
"faturamento.nf_emitida"
],
"delivery": [
"entrega.em_transporte"
],
"custom": []
},
"catalog": [
{
"id": "faturamento.nf_emitida",
"category": "invoicing",
"label": "NF emitida",
"color": null,
"allowConcurrent": false
},
{
"id": "entrega.em_transporte",
"category": "delivery",
"label": "Em transporte",
"color": null,
"allowConcurrent": false
},
{
"id": "custom.vip",
"category": "custom",
"label": "VIP",
"color": "violet",
"allowConcurrent": true
}
]
}
}{
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Recurso não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Authorizations
API Key no formato cvx_live_..., criada no painel Corvex. Não use JWT de sessão nem x-api-key.
Headers
UUID da loja. A chave precisa ter esta loja autorizada.
Path Parameters
Body
application/json
Maximum array length:
40Response
Tags atualizadas.